thread.c(3)

NAME
thread.c - Implementation of multi-threading basic functionality.

SYNOPSIS

#include <config.h>
#include <errno.h>
#include <glthread/thread.h>
#include <glthread/lock.h>
#include <glthread/cond.h>
#include 'timespec.h'
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_thread_st
struct wget_thread_mutex_st
struct wget_thread_cond_st

  Functions
int wget_thread_mutex_init (wget_thread_mutex *mutex)
int wget_thread_mutex_destroy (wget_thread_mutex *mutex)
void wget_thread_mutex_lock (wget_thread_mutex mutex)
void wget_thread_mutex_unlock (wget_thread_mutex mutex)
int wget_thread_cond_init (wget_thread_cond *cond)
int wget_thread_cond_destroy (wget_thread_cond *cond)
int wget_thread_cond_signal (wget_thread_cond cond)
int wget_thread_cond_wait (wget_thread_cond cond, wget_thread_mutex mutex, long long ms)
int wget_thread_start (wget_thread *thread, void *(*start_routine)(void *), void *arg, WGET_GCC_UNUSED int flags)
int wget_thread_cancel (WGET_GCC_UNUSED wget_thread thread)
int wget_thread_kill (WGET_GCC_UNUSED wget_thread thread, WGET_GCC_UNUSED int sig)
int wget_thread_join (wget_thread *thread)
wget_thread_id wget_thread_self (void)
bool wget_thread_support (void)

Detailed Description

Implementation of multi-threading basic functionality.

Author

Generated automatically by Doxygen for wget2 from the source code.